| Home | Libraries | People | FAQ | More

## Function template find_all

boost::algorithm::find_all — Find all algorithm.

## Synopsis

    template<typename SequenceSequenceT, typename Collection1T,
             typename Collection2T>
      SequenceSequenceT &
      find_all(SequenceSequenceT & Result, Collection1T & Input,
               const Collection2T & Search);

## Description

This algorithm finds all occurrences of the search string in the input.

Each part is copied and added as a new element to the output container. Thus the result container must be able to hold copies of the matches (in a compatible structure like std::string) or a reference to it (e.g. using the iterator range class). Examples of such a container are `std::vector<std::string>` or `std::list<boost::iterator_range<std::string::iterator>>`

Parameters

Input

  A container which will be searched.

Result

  A container that can hold copies of references to the substrings

Search

  A substring to be searched for.

Returns: A reference the result
Notes: Prior content of the result will be overwritten.

This function provides the strong exception-safety guarantee

| Copyright © 2002-2004 Pavol Droba